Skip to content

List initiatives

Request

Retrieves all initiatives via REST API

This endpoint supports filtering and pagination through query parameters. Available ransackable attributes: uuid, discarded_at, type, current_status, uuid, last_checkin_date, time_period_uuid, creator_uuid, archived_at.

Available ransackable associations and their attributes:

  • time_period: time_period_uuid, time_period_name
  • owners: owners_uuid, owners_display_name, owners_status, owners_manager_uuid, owners_license_type, owners_display_name, owners_status, owners_manager_uuid, owners_license_type
  • labels: labels_uuid, labels_name, labels_parent_uuid, labels_is_group
  • ancestors: ancestors_uuid, ancestors_discarded_at, ancestors_type, ancestors_current_status, ancestors_uuid, ancestors_last_checkin_date, ancestors_time_period_uuid, ancestors_creator_uuid, ancestors_archived_at
  • teams: teams_uuid, teams_display_name, teams_parent_uuid, teams_status, teams_display_name, teams_is_org, teams_parent_uuid, teams_depth
  • links_as_child: links_as_child_uuid, links_as_child_ancestor_uuid
  • delegates: delegates_uuid, delegates_display_name, delegates_status, delegates_manager_uuid, delegates_license_type, delegates_display_name, delegates_status, delegates_manager_uuid, delegates_license_type
Query
pagenumber

Page number for pagination (default: 1)

Default:1
per_pagenumber

Number of records per page (default: 20, max: 100)

Default:20
limitnumber

Alias for per_page - number of records per page

Default:20
limit_maxnumber

Maximum number of records per page (overrides limit if not set)

Default:null
offsetnumber

Number of records to skip, for offset/limit clients such as BI connectors. An offset past the end of the collection returns an empty records array, which is the end-of-data signal. To follow data.pagy.next instead of stepping the offset yourself, send it as page while keeping the same offset.

countstring

Set to 'true' to include total count in pagy metadata (data.pagy.count). Use for count/total queries instead of paginating through all pages.

GET
/rest/v2/initiatives
curl -i -X GET \
  'https://api.rhythms.ai/rest/v2/initiatives?page=1&per_page=20&limit=20&limit_max=%7Blimit_max%7D&offset=0&count=string'

Responses

Success

Headers
any
Body*/*
dataobjectrequired
Response
{
  "data": {
    "type": null,
    "records": [
      {
        "uuid": "string",
        "type": "string",
        "title": "string",
        "description": null,
        "start_date": "string",
        "end_date": "string",
        "goal_type": "aspirational",
        "time_period_uuid": "string",
        "current_metric_uuid": null,
        "creator_uuid": "string",
        "last_checkin_date": null,
        "score": null,
        "current_progress": null,
        "current_value": null,
        "current_status": "not_started",
        "source_uuid": null,
        "source_type": null,
        "path": null,
        "searchable_content": null,
        "progress_mode": "manual",
        "value_updated_at": null,
        "status_updated_at": null,
        "value_updated_by_uuid": null,
        "status_updated_by_uuid": null,
        "visibility": "public",
        "ai_rollup_enabled": false,
        "data_sources_count": 0,
        "discarded_at": null,
        "discarded_by_uuid": null,
        "short_id_uuid": null,
        "archived_at": null,
        "archived_by_uuid": null,
        "short_id": "string",
        "owner_uuids": [
          "string"
        ],
        "target": null,
        "unit": null,
        "metric_type": null,
        "parent_links": [
          {
            "parent_uuid": "string",
            "contribution_percent": 0
          }
        ],
        "visible_entities": [
          {
            "entity_type": "User",
            "entity_uuid": "string",
            "mode": "direct"
          }
        ]
      }
    ],
    "pagy": null,
    "checks": null,
    "filters": null
  }
}